Релизы быстрого браузера Pale Moon 29.0.1-29.2.0. Прекращение поддержки Mac. Linux новости
Поддержать

Релизы быстрого браузера Pale Moon 29.0.1-29.2.0. Прекращение поддержки Mac

24
Лайков: +9
войдите, чтобы ставить лайки

PaleMoon 29.2

PaleMoon 29.2
Версия:29.2
Дата релиза:27 апреля 2021
Предыдущий релиз:29.0 от 2 февраля 2021 (пресс-релиз)
Страница:PaleMoon

В феврале мы писали про релиз PaleMoon 29.0. После этого уже вышли релизы: 29.0.1, 29.1.0, 29.1.1, 29.2.0. Рассмотрим некоторые изменения в новых версиях.

PaleMoon — браузер на основе Firefox. Разработка направлена на достижение максимальной производительности. В PaleMoon выполняются различные оптимизации, повышающие производительность, а также удаляются некоторые компоненты Firefox, например те, которые «привязаны» к сервисам Mozilla. Программа доступна для Linux и Windows.

Что нового

  • После долгих обсуждений и взвешивания всех «за» и «против» разработчики приняли решение полностью отказаться от поддержки Mac. Разработка программы под MacOS теперь остановлена.
  • Прекращена поддержка дополнений Firefox, которые «не совместимы» Pale Moon. Расширения, которые поддерживаются в Pale Moon, доступны на странице: addons.palemoon.org. На текущий момент Pale Moon поддерживает более 230 расширений.
  • Обновлен встроенный шрифт для Emoji.
  • Пункт меню «Открыть Все во вкладках» (Open All in Tabs) для папок с закладками теперь отображается всегда, даже если в папке находится одна закладка. Данное изменение выполнено для унификации интерфейса.
  • Добавлены настройки медиа форматов (в разделе Preferences→Content)
  • Поддержка CSS свойства prefers-color-scheme
  • Поддержка JavaScript методов String.prototype.replaceAll(), Intl.NumberFormat.formatToParts()
  • Поддержка разделителей чисел в JavaScript (numeric separators).
  • Отключено использование по умолчанию кодека AV1, так как при его использовании наблюдались проблемы с производительностью.
  • Улучшена поддержка сборки программы под FreeBSD.
  • Новые переводы программы над другие языки.
  • Произведена чистка программного кода, связанного с версией под Android.
  • И другие изменения...
24
  • Опубликовано: 29.04.2021

Комментарии

fallen
Активный пользователь
Активный
29.04.2021
13:47
Постоянная ссылка на комментарийПостоянная ссылка на комментарий
+3
войдите, чтобы ставить лайки
давно потерял интерес к этому изделию, может на старте пустой он и ест на пару метров меньше, а вот дальше... вопрос спорный.
приведенный в порядок ff (ff-esr) с отключенными: гуглсёрч, суджестнс, спеллчеками, гео, пингами, вэбртк, синхрой с сервисами мозиллки и гугла, тулкитами телеметрии, андроид шлаком, виар, медиапирконектами, фингерпринтом и прочих 100500 ненужностей,
ну совершенно не вижу причин в его использовании... имхо конечно же, айэм со сорри, если кому на мозольку больно сделал.
Anton
30.04.2021
04:17
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Подскажите, пожалуйста, есть ли где-то "рецепт приготовления"? Без мануала тяжело настраивать... Да и при использовании разых источников, часто даются взаимноисключающие советы.
Anton
30.04.2021
06:08
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Или, может быть, статью сделаете по свежему фаерфоксу?
fallen
Активный пользователь
Активный
30.04.2021
12:07
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
+2
войдите, чтобы ставить лайки
нет, не буду. сорян.
зы
минимальное, что подойдет почти каждому:
https://exploit.media/privacy/minimalnyie-nastroiki-firefox-dlia-bazovoi-zashchity-ot-otsliezhivaniia/
а вот тут можно немного повыбирать, если понимать что именно требуется:
https://spy-soft.net/firefox-privacy/
так же советую в about:config вбить слово google и полностью заменить все линки на слова которые по вашему мнению больше подходят для этой корпопомойки.
fallen
Активный пользователь
Активный
30.04.2021
12:07
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
+2
войдите, чтобы ставить лайки
рецептов действительно полно, руководствоваться и копипастить все подряд, непонимая для чего оно надо, дело не хитрое, вот только устроит ли такое в конечном итоге... неизвестно. настройки about:config это сугубо индивидуальная вещь, к примеру то, что отрублено и ненужно мне, другим оказывается полезным и без этого они не могут полноценно использовать свой браузер. поэтому советовать что-либо в гайдовом стиле я не могу, это личные предпочтения каждого, как и отношения к цифровой гигиене и собственной конфиденциальности, что тоже является личным делом каждого.
NAF-NAF
04.05.2021
04:35
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Доброго дня. Спасибо. Обязательно почитаю. Я понимаю, что любой гайд надо примерять на себя осторожно. Дорогу осилит идущий. С прошедшими и наступающими.
x230
Активный пользователь
Активный
29.04.2021
14:05
Постоянная ссылка на комментарийПостоянная ссылка на комментарий
+3
войдите, чтобы ставить лайки
Нормальный браузер для поклонников классики.
Но с версии 29.2 отключена поддержка всех расширений FF.
А своих - маловато будет!..
Мой "вердикт": не стать ему популярным, увы!..
Сейчас запасным (вместо PM) использую LibreWolf, ну и луковку, куда ж без неё(го).
Anonymous
30.04.2021
07:43
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Справедливости ради скажем, что большая часть реально (а не по дескрипитору версии/продукта) несовместимых расширений отвалилась ещё на на рубеже 27.9.3-28.0. А в 29-ом майлстоуне просто вырубили опознавание дексриптора FF, как "своего". Большинство расширений, нормально работавших на 28.8.*, так же продолжают нормально работать и на 29.*, если в install.rdf прописать дескриптор продукта для PM. Однако, конечно же, это последняя мера, применяемая на свой страх и риск, когда ясно, что оригинальный мэйнтейнер/разработчик расширения поддержку уже не добавит.
EugenyBobylev
Активный пользователь
Активный
29.04.2021
14:25
Постоянная ссылка на комментарийПостоянная ссылка на комментарий
+1
войдите, чтобы ставить лайки
Пробовал, но не зашло.
NadyBear
Активный пользователь
Активный
29.04.2021
14:29
Постоянная ссылка на комментарийПостоянная ссылка на комментарий
0
войдите, чтобы ставить лайки
Вроде ниче - и как всегда "но" - сайты, которые спокойно смотрятся в ФФ, "БледнаяЛуна" ломает напрочь - особенно насыщенные JS.
aNDy
Активный пользователь
Активный
29.04.2021
15:30
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Типа таких?
https://validator.w3.org/nu/?doc=https%3A%2F%2Fpingvinus.ru%2Fnews%2F3717

Думаю, в таких случаях больше сайтописцы виноваты, чем браузера.
NadyBear
Активный пользователь
Активный
29.04.2021
22:52
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Так чего-ж в FF нормально смотрится (не об Вашей ссылке) - Луну здорово порезали и "оптимизировали" - потому слегка корявенька.
aNDy
Активный пользователь
Активный
29.04.2021
23:04
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Ссылка - просто как пример, что страницы содержат ошибки.

Движки должны эти ошибки как то обрабатывать и, соответственно, догадываться, что хотел сказать аффтар.

Если означенный аффтар не способен ясно выражать свои мысли - каждый движок волен интерпретировать его экзерсисы по своему :)

PS: И я уже молчу про browser-specific атрбуты в CSS

PPS: Меня, например, компилятор/интерпретатор пошлют в далёкое эротическое путешествие, если я им код с ошибками подсуну. В www всё немного иначе...
NadyBear
Активный пользователь
Активный
29.04.2021
23:33
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
А вот тут не надо меня лечить - опыта в программинге у меня не меньше, а возможно и побольше. А как Вам такое - сайт crex24.com: FF - отработка нормальная, графики торгов грузятся быстро, Луна - как Бог на душу положил, хочу нарисую, а не нарисую, значит Вам это не нужно. И хотите сказать, что сайт этой биржи тоже рукожопые делали? IMHO, где деньга вертится, рукожопых долго не держат.
aNDy
Активный пользователь
Активный
30.04.2021
00:04
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
+1
войдите, чтобы ставить лайки
> А вот тут не надо меня лечить
И тебя вылечат, и меня вылечат (с)
> опыта в программинге у меня не меньше, а возможно и побольше
Меряться своими "опытами" считаю бессмысленным. Если в моём комментарии что то на это намекало - пардоне муа. Единственное, что хотел сказать: код на C/Fortran/Python и код на HTML/CSS/JS - две большие концептуальные разницы.
> IMHO, где деньга вертится, рукожопых долго не держат
:)))) дума/рада/сенат, microsoft/oracle, роскосмос/рогозин...
Примеры дальше нужны?

https://web.skype.com/
Попробуйте в FF
> И хотите сказать, что сайт этой биржи тоже рукожопые делали?
Да.
NadyBear
Активный пользователь
Активный
30.04.2021
00:13
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Сильное заявление - и чем подкрепленное? Кстати, про разницу концепций согласен - HTML/CSS по сути вообще не есть ЯП. А вот за встроенный транслятор JS - это уже к браузеру. Ну и к слову - никогда не наталкивались на такую хрень - код: синтаксис/логика в порядке, траслятор сожрал, а работает неправильно.
aNDy
Активный пользователь
Активный
30.04.2021
00:34
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
> Сильное заявление - и чем подкрепленное?
Про какое именно заявление?
> код: синтаксис/логика в порядке, траслятор сожрал, а работает неправильно
Вообще то нет, не наталкивался. Хоть и люблю странною любовью всякие пререлизы, беты и т.д.

Ну, блин! Нормальные люди не выпускают такого, что бы "синтаксис/логика в порядке, траслятор сожрал, а работает неправильно"
Николай
29.04.2021
15:37
Постоянная ссылка на комментарийПостоянная ссылка на комментарий
0
войдите, чтобы ставить лайки
Что мешает им взять нынешний Фаерфокс, и сделать форк?
Anonymous
30.04.2021
06:49
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Мешает отсутствие в кодовой базе современного FF поддержки XUL. А без XUL не работает ничего из того, что на самом деле (а вовсе не "лёгкость") оправдывает существование PM как такового: традиционный интерфейс и традиционные расширения. Впиливать же XUL обратно маленькая команда из трёх с половиной сильно непрофесииональных (и не только в плане общения с сообществом) разработчиков, в обозримом будущем, врядли станет по причиние банального отсутствия ресурсов. К тому же, выбранная "шерстяными" ребятами модальность общения и их неадекватное для СПО отношение к "лицензированию" увеличению количества желающих помочь не способствуют.
Николай
30.04.2021
09:28
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
Ок, а как когда в классическом Waterfox, работают дополнения, старые и современные?
Anonymous
30.04.2021
10:20
Постоянная ссылка на комментарийПостоянная ссылка на комментарийРодительский комментарийРодительский комментарий
0
войдите, чтобы ставить лайки
А Waterfox Classic это примерно то же самое, что и Basilisk. Они оба застряли на кодовой базе 56-ого Firefox. Последней апстримной версии, ЕМНИП, в которой уже были хромоподобности в виде Australis и ограниченной поддержки WebExt, но XUL ещё полностью не упразднили. Эдакий монстр Франкенштейна, на котором уже работает что-то из новых расширений (далеко не всё), и ещё что-то из старых (тоже далеко не всё). Для новых расширений не хвататает реализации ряда функций, а из старых первыми перестали работать совсем или работать нормально те, которые были сильно завязаны на классический интерфейс. И 56-ой Firefox — ну ни разу нынешним назвать нельзя.
Роман
30.04.2021
11:32
Постоянная ссылка на комментарийПостоянная ссылка на комментарий
0
войдите, чтобы ставить лайки
Не могу побороть в Pale moon неправильное отображение начальной страницы yandexa. Срезает чаcть интерактивных вкладок на странице. Может кто знает как победить сие?
aNDy
Активный пользователь
Активный
01.05.2021
03:37
Постоянная ссылка на комментарийПостоянная ссылка на комментарий
0
войдите, чтобы ставить лайки
Спасибо Пингвинус!
"Прекращение поддержки Mac" - +

+ 4 расширения - и оно стало вторым браузером (когда разберусь, как сделать его браузером по умолчанию - станет первым :))
pinj
03.05.2021
11:51
Постоянная ссылка на комментарийПостоянная ссылка на комментарий
+1
войдите, чтобы ставить лайки
Порядок действий для починки расширений, которые перестали работать в этой версии:

1. Отключаете блоклист (Настройки -> Защита -> Уровень безопасности дополнений -> Отключен)
2. Устанавливаете Moon Tester Tool - https://github.com/JustOff/moon-tester-tool/releases
3. Открываете управление дополнениями (about:addons)
4. Для ранее установленных и заблокированных FF расширений нажимаете на кнопку ТЕСТ рядом с описанием, сохраняете оригинал и дальше согласно мастеру установки
5. Для установки новых FF расширений нажимаете на "шестеренку" и выбираете "Протестировать дополнение из файла"
6. После того как нужные расширения пропатчены и установлены, Moon Tester Tool можно отключить и даже удалить, а также включить блоклист обратно

Написать комментарий

Ваше имя:
Текст комментария:
  • Уважать других.
  • Не ругаться.
  • Без оскорблений.
  • Без грубости.
  • Не переходить на личности.
Правила